<?php
/**
 * Clase Base Bean para BaseCrPlanillaConceptoPerBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPlanillaConceptoPerBN
 * @author     Willy
 * @version    SVN:: BaseCrPlanillaConceptoPerBN.class.php,v 1.1 2014-03-16 11:18:14 william.taype Exp $
 */
abstract class BaseCrPlanillaConceptoPerBN
{
  protected $Periodo;
  protected $IdConcepto;
  protected $Codigo;
  protected $Tipo;
  protected $Ubicacion;
  protected $VisualizarPlanilla;
  protected $PosicionPlanilla;
  protected $Descripcion;
  protected $DescripcionPlanilla;
  protected $DescripcionBoleta;
  protected $Estado;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }
  
 public function getPeriodo(){
    return $this->Periodo;
  }
  public function setPeriodo($v1){
    $this->Periodo = $v1; 
  }

  public function getIdConcepto(){
    return $this->IdConcepto;
  }
  public function setIdConcepto($v1){
    $this->IdConcepto = $v1; 
  }

  public function getCodigo(){
    return $this->Codigo;
  }
  public function setCodigo($v1){
    $this->Codigo = $v1; 
  }

  public function getTipo(){
    return $this->Tipo;
  }
  public function setTipo($v1){
    $this->Tipo = $v1; 
  }

  public function getUbicacion(){
    return $this->Ubicacion;
  }
  public function setUbicacion($v1){
    $this->Ubicacion = $v1; 
  }

  public function getVisualizarPlanilla(){
    return $this->VisualizarPlanilla;
  }
  public function setVisualizarPlanilla($v1){
    $this->VisualizarPlanilla = $v1; 
  }

  public function getPosicionPlanilla(){
    return $this->PosicionPlanilla;
  }
  public function setPosicionPlanilla($v1){
    $this->PosicionPlanilla = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEditable(){
    return $this->Editable;
  }
  public function setEditable($v1){
    $this->Editable = $v1; 
  }

  public function getDescripcionPlanilla(){
    return $this->DescripcionPlanilla;
  }
  public function setDescripcionPlanilla($v1){
    $this->DescripcionPlanilla = $v1; 
  }

  public function getDescripcionBoleta(){
    return $this->DescripcionBoleta;
  }
  public function setDescripcionBoleta($v1){
    $this->DescripcionBoleta = $v1; 
  }

  public function getColor(){
    return $this->Color;
  }
  public function setColor($v1){
    $this->Color = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_planilla_concepto_perBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_planilla_concepto_perRs )
  {
    $o_CrPlanillaConceptoPerBN = new CrPlanillaConceptoPerBN();
    $o_CrPlanillaConceptoPerBN->setPeriodo( $o_Cr_planilla_concepto_perRs['Periodo'] );
    $o_CrPlanillaConceptoPerBN->setIdConcepto( $o_Cr_planilla_concepto_perRs['IdConcepto'] );
    $o_CrPlanillaConceptoPerBN->setCodigo( $o_Cr_planilla_concepto_perRs['Codigo'] );
    $o_CrPlanillaConceptoPerBN->setTipo( $o_Cr_planilla_concepto_perRs['Tipo'] );
    $o_CrPlanillaConceptoPerBN->setUbicacion( $o_Cr_planilla_concepto_perRs['Ubicacion'] );
    $o_CrPlanillaConceptoPerBN->setVisualizarPlanilla( $o_Cr_planilla_concepto_perRs['VisualizarPlanilla'] );
    $o_CrPlanillaConceptoPerBN->setPosicionPlanilla( $o_Cr_planilla_concepto_perRs['PosicionPlanilla'] );
    $o_CrPlanillaConceptoPerBN->setDescripcion( $o_Cr_planilla_concepto_perRs['Descripcion'] );
    $o_CrPlanillaConceptoPerBN->setDescripcionPlanilla( $o_Cr_planilla_concepto_perRs['DescripcionPlanilla'] );
    $o_CrPlanillaConceptoPerBN->setDescripcionBoleta( $o_Cr_planilla_concepto_perRs['DescripcionBoleta'] );
    $o_CrPlanillaConceptoPerBN->setEstado( $o_Cr_planilla_concepto_perRs['Estado'] );
    $o_CrPlanillaConceptoPerBN->setFechaCreacion( $o_Cr_planilla_concepto_perRs['FechaCreacion'] );
    $o_CrPlanillaConceptoPerBN->setUsuarioCreacion( $o_Cr_planilla_concepto_perRs['UsuarioCreacion'] );
    return $o_CrPlanillaConceptoPerBN;
  }
}